> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/widgets/type-definitions/product.md).

# Product

The type definition of LiSA product:

```typescript
type Product = {
  /** The LiSA internal product identifier. */
  id: UUID;
  /** A map-like structure of media assets. */
  assets?: Record<string, Asset>;
  /** The product's brand name. */
  brand?: LocalizedString;
  /** The product description. */
  description?: LocalizedString;
  /** The product's origin information, adopted from the customer's ecom system. */
  origin?: {
    /** The product identifier, as defined in the customer's ecom system. */
    id: string;
    /** The time of the most recent data synchronization. */
    lastSyncedAt: DateTime;
  };
  /** The product price information. */
  price?: Price;
  /** The store configuration in a multi-store environment. */
  stores?: StoreConfig[];
  /** The product title. */
  title?: LocalizedString;
  /** The product URL. */
  url?: LocalizedString;
  /** A list of product variants. */
  variants?: ProductVariant[];
};
```

### Related type definitions

#### ProductVariant

```typescript
type ProductVariant = {
  /** A map-like structure of media assets. */
  assets?: Record<string, Asset>;
  /** The product variant's name. */
  name: string;
  /** The product variant's price information. */
  price?: Price;
  /** The product variant's identifier, typically its SKU */
  reference?: string;
  /** The product variant's store configuration in a multi-store environment. */
  stores?: StoreConfig[];
  /** The product variant's title. */
  title?: LocalizedString;
  /** The product variant's URL. */
  url?: LocalizedString;
  /** A list of production variations. */
  variations?: ProductVariation[];
};
```

#### ProductVariation

```typescript
type ProductVariation = {
  /** The product variation type. */
  type: 'color' | 'size' | string;
  /** The localized product variation value. */
  value: LocalizedString;
};
```

#### Price

```typescript
type Price = {
  /** Currency information. */
  currency: {
    name?: string;
    symbol: string;
  };
  /** The discounted price value. */
  discounted?: { value: number };
  /** The regular price value. */
  original: { value: number };
  /** Unit pricing information. */
  unitPricing?: {
    baseUnit: string;
    baseValue: number;
    measureUnit: string;
    measureValue: number;
  };
};
```

#### StoreConfig

```typescript
type StoreConfig = {
  /** The store identifier. */
  store: string;
  /** The product's or product variant's price infirmation for a particular store. */
  price?: Price;
  /** The product's or product variant's URL for a particular store. */
  url?: LocalizedString;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/widgets/type-definitions/product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
